<?php
if (! defined('PLX_ROOT')) exit;

const TINY_EDITOR_FIELDS = array(
	'article'		=>L_MENU_ARTICLES,
	'comment'		=>L_MENU_COMMENTS,
	'comment_new'	=>L_COMMENT_ANSWER_TITLE,
	'categorie'		=>L_MENU_CATEGORIES,
	'profil'		=>L_MENU_CONFIG_USERS,
	'user'			=>L_MENU_PROFIL
);

# Control du token du formulaire
plxToken::validateFormToken($_POST);

if (! empty($_POST)) {
	foreach(array_keys(TINY_EDITOR_FIELDS) as $field) {
		$value = (isset($_POST[$field])) ? 1 : 0;
		$plxPlugin->setParam($field, $value, 'numeric');
	}
	$plxPlugin->saveParams();
	header('Location: parametres_plugin.php?p='.$plugin);
	exit;
}

?>
	<h2><?= L_PLUGINS_CONFIG . ': ' . $plxPlugin->getInfo('title') ?></h2>
	<p><i><?= $plxPlugin->getInfo('description') ?></i></p>
	<p>Activer le plugin pour les rubriques suivantes :</p>
	<form id="form_<?= $plugin ?>" method="post">
		<?php echo plxToken::getTokenPostMethod()."\n"; ?>
		<fieldset>
<?php
foreach (TINY_EDITOR_FIELDS as $field=>$caption) {
	$value = $plxPlugin->getParam($field);
	$checked = ($value > 0) ? ' checked' : '';
?>
			<label>
				<span><?= $caption ?></span>
				<input type="checkbox" name="<?= $field ?>"<?= $checked ?> />
			</label>
<?php
}
?>
		</fieldset>
		<p>
			<input type="submit" value="<?= L_ARTICLE_UPDATE_BUTTON; ?>" >
		</p>
	</form>
